Copyright: Copyright © 1997 RealSoft Development


BackColor Property

Applies to

TrsTabset

Declaration

property BackColor: TColor;

Description

The BackColor property determines the color of the background of the tabset.


Border Property

Applies to

TrsTabset

Declaration

property Border: TTabBorder;   ( tbNone, tbLine );

Description

The Border property determines whether or not to draw a 3D border line on the tabset.


OnChange

OnClick

OnEnter

OnExit

OnMouseDown

OnMouseMove

OnMouseUp


No Additional Methods


OnChange Event

Applies to

TrsTabset

Declaration

property OnChangeEvent: TTabChangedEvent

Description

The OnChangeEvent property occurs when the user clicks a tab.  You can prevent a change by setting the AllowChange variable to false.


TabOrient

TextAlign

BackColor

TabColor

TabHeight

TabWidth

Tabs

TabIndex

Border


Registering the trial version

If you are evaluating a trial edition of this product,

you may register on Compuserve, or the internet.

Source code for components is always included.

Product: rsTabSet

Price (US): $25.00

CIS Reg: 15218


TTabChangedEvent
TTabChangedEvent = procedure(Sender: TObject; NewTab: Integer; var AllowChange: Boolean) of object;


TabColor Property

Applies to

TrsTabset

Declaration

property TabColor: TColor;

Description

The BackColor property determines the color of the Tabs.


TabHeight Property

Applies to

TrsTabset

Declaration

property TabHeight: smallint;

Description

The TabHeight property determines the height, in pixels of the unselected Tabs.  Selected tab is drawn slightly larger.


TabIndex Property

Applies to

TrsTabset

Declaration

property TabIndex: smallint;

Description

The TabIndex property determines the currently selected tab, 0 being the first tab.  By modifying this value, you can change the selected tab.


TabOrient Property

Applies to

TrsTabset

Declaration

property TabOrient: TTabOrient;  ( toBottom, toTop )

Description

The TabOrient property determines how the tabs should be drawn.


TabWidth Property

Applies to

TrsTabset

Declaration

property TabWidth: smallint;

Description

The TabWidth property determines the width, in pixels of the unselected Tabs.  Selected tab is drawn slightly larger.


Tabs Property

Applies to

TrsTabset

Declaration

property Tabs: TStrings;

Description

The Tabs property contains the names of the tabs.


TextAlign Property

Applies to

TrsTabset

Declaration

property TextAlign: TAlignment;  (taLeftJustify, taCenter, taRightJustify)

Description

The TextAlign property determines how Text should be drawn on each tab.


 TrsTabset Component

Properties     Methods      Events

Unit

rsTabset

Description

The TrsTabset is a new tab component similar to a Win95 TabControl.  These type of tabs were unavailable in Delphi 1, and cannot be positioned on bottom in Delphi 2.  Tabs can be positioned either on bottom or top by changing the TabOrient property.  To specify the names on the tabs, use the Tabs property.  To change the color of the tabs, change the TabColor property.  To change the color of the background, change the BackColor property.  The "line border" can be changed by modifying the Border property.  You can change the size of the tabs by changing the TabWidth and TabHeight properties.  The selected tab can be checked or changed using the TabIndex property.  You can tell if the user selects a new tab by creating an OnClick or OnChange event handler.

Registering the trial version

Copyright 1997 RealSoft Development

Support: www.realsoftdev.com